Index Page ckcls_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void ckcls_c ( SpiceInt handle )
#### Abstract
       Close an open CK file.
#### Required_Reading
        None.
#### Keywords
         CK
#### Brief_I/O
        VARIABLE  I/O  DESCRIPTION
        --------  ---  --------------------------------------------------
        handle     I   Handle of the CK file to be closed.
#### Detailed_Input
       handle   The handle of the CK file that is to be closed.
#### Detailed_Output
       None.
#### Parameters
       None.
#### Exceptions
       1) If there are no segments in the file the error
          SPICE(NOSEGMENTSFOUND) will be signalled.
#### Files
       See Detailed_Input.
#### Particulars
       Close the CK file attached to handle.
#### Examples
       Suppose that you want to create a new CK file called "new.ck"
       that contains a single type 3 CK segment and has room for at
       least 5000 comment characters. The following code fragment should
       take care of this for you, assuming that all of the variables
       passed to the CK type 3 segment writer have appropriate values.

          name   = "new.ck";
          ifname = "Test CK file";

          ckopn_c ( name,    ifname,  5000,    &handle );

          ckw03_c ( handle,  begtim,  endtim,  inst,
                    ref,     avflag,  segid,   nrec,
                    sclkdp,  quats,   avvs,    nints,  starts );

          ckcls_c ( handle );
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman      (NJB)
       K.R. Gehringer    (JPL)
#### Version
        -CSPICE Version 1.0.1, 08-MAR-2002 (EDW)

          Corrected header typo. Examples" to Examples.

       -CSPICE Version 1.0.0, 08-FEB-1998 (NJB)

          Based on SPICELIB Version 1.0.0, 26-JAN-1995 (KRG)
#### Index_Entries
       close a ck file
#### Link to routine ckcls_c source file ckcls_c.c

    Wed Jun  9 13:05:19 2010